#ifndef __HVRPCINT_INC
#define __HVRPCINT_INC

#define rpc_call_transmit hvrpc_capture_result
#define rpc_ss_ctx_client_ref_count_i_2(a,b,c) *(b)=NULL; *(c)=error_status_ok
#define rpc_ss_ctx_client_ref_count_d_2(x, y)
//#define rpc_ss_ee_ctx_to_wire(a,b,c,d,e,f) *(f)=error_status_ok

typedef struct hvrpc_call_t {
	ndr_format_t     IDL_drep;
	char            *response_buffer;
	uint32_t         response_length;
	int              error;
} hvrpc_call_t;

typedef struct
{
    unsigned8  rpc_vers;               
    unsigned8  rpc_vers_minor;         
    unsigned8  ptype;                  
    unsigned8  flags;                  
    unsigned8  drep[4];                
    unsigned16 frag_len;               
    unsigned16 auth_len;               
    unsigned32 call_id;                
	unsigned32 alloc_hint;
	unsigned16 context_id;
	unsigned16 opnum;
} hvrpc_common_hdr_t;

hvrpc_common_hdr_t *hvrpc_parse_pkt(hvrpc_call_t *call_handle, unsigned8 *buffer, unsigned32 length, rpc_iovector_elt_p_t rpc_payload);
void hvrpc_capture_result(rpc_call_handle_t call_h, rpc_iovector_p_t return_data, unsigned32 *p_error);

wchar16_t *hvrpc_string(const char *string);

#endif /* __HVRPCINT_INC */
