#ifdef VMS
#pragma nostandard
#endif
#include <dce/idlddefs.h>
#include <lw/types.h>
#include <lw/security-types.h>
#include <lw/rpc/wkssvc.h>

#include "wkssvc.h"

#include <stdio.h>
#include <wchar.h>

#include "hvrpcint.h"

WINERROR NetrWkstaGetInfo(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in] */ DWORD dwLevel,
    /* [out] */ NETR_WKSTA_INFO *pInfo
	) {
	printf("%s called level %d pInfo %p\n", __FUNCTION__, dwLevel, pInfo);
	if (dwLevel == 100 && pInfo) {
		WKSTA_INFO_100 *info100 = malloc(sizeof(*info100));
		if (!info100) {
			return -1;
		}

		info100->wksta100_platform_id = 500;
		info100->wksta100_name  = hvrpc_string("NEWHVDEV2");
		info100->wksta100_domain = hvrpc_string("DGTEST");
		info100->wksta100_version_major = 6;
		info100->wksta100_version_minor = 2;
		pInfo->pInfo100 = info100;
	}
	return 0;
}

WINERROR wkssvc_Function0x01(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR NetrWkstaUserEnum(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in, out] */ NETR_WKSTA_USER_INFO *pInfo,
    /* [in] */ DWORD dwPrefMaxLen,
    /* [out] */ DWORD *pdwNumEntries,
    /* [in, out] */ DWORD *pdwResume
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x03(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x04(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x05(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x06(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x07(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x08(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x09(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0a(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0b(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0c(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0d(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0e(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x0f(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR NetrJoinDomain(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in] */ wchar16_t *pwszDomainName,
    /* [in] */ wchar16_t *pwszAccountOu,
    /* [in] */ wchar16_t *pwszAccountName,
    /* [in] */ wchar16_t *pwszPassword,
    /* [in] */ DWORD dwJoinFlags
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR NetrUnjoinDomain(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in] */ wchar16_t *pwszAccountName,
    /* [in] */ wchar16_t *pwszPassword,
    /* [in] */ DWORD dwUnjoinFlags
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x12(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x13(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x14(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x15(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR NetrJoinDomain2(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in] */ wchar16_t *pwszDomainName,
    /* [in] */ wchar16_t *pwszAccountOu,
    /* [in] */ wchar16_t *pwszAccountName,
    /* [in] */ ENC_JOIN_PASSWORD_BUFFER *pPassword,
    /* [in] */ DWORD dwJoinFlags
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR NetrUnjoinDomain2(
    /* [in] */ handle_t IDL_handle,
    /* [in] */ wchar16_t *pwszServerName,
    /* [in] */ wchar16_t *pwszAccountName,
    /* [in] */ ENC_JOIN_PASSWORD_BUFFER *pPassword,
    /* [in] */ DWORD dwUnjoinFlags
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x18(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x19(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x1a(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x1b(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x1c(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x1d(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}

WINERROR wkssvc_Function0x1e(
    /* [in] */ handle_t IDL_handle
	) {
	printf("%s called\n", __FUNCTION__);
	return 0;
}



#include "wkssvc_sstub.c"
