#
# Copyright (c) 1992-2015 NetApp, Inc.
# All Rights Reserved.
#

#CC=$(CC)
#AR=$(AR)

include ../Makefile.external.inc

EXTERNAL_INCLUDES=-I$(DCERPC_BUILD_DIR)/include

ARFLAGS=cr
RANLIB=ranlib
THREAD_FLAGS= -D_THREAD_SAFE
CFLAGS=-g $(THREAD_FLAGS) -c -Wall -I../include $(EXTERNAL_INCLUDES)  -D$(PLATFORM) $(PLATFORM_CFLAGS)


DCERPC_BASE=
DCEIDL=$(ROOTDIR)/$(DCERPC_PROG_IDL)

ifeq ($(disable_cpuid),1)
CFLAGS+=  -DFEATURE_DISABLE_CPUID
endif

ifeq ($(warnings_okay),1)
else
CFLAGS+=  -Werror -Wno-error=unused-but-set-variable
endif

ifeq ($(use_dcerpc), 1)
CFLAGS+= -DFEATURE_HVRPC
endif
