/*
 * Copyright (c) 1992-2015 NetApp, Inc.
 * All Rights Reserved.
 */

#ifndef __HVRPC_INC
#define __HVRPC_INC

#include <stdint.h>

typedef void *hvrpc_iface_handle_t;

int hvrpc_init();
int hvrpc_handle_pkt(hvrpc_iface_handle_t _ifspec, uint8_t *buffer,
                     uint32_t length, char **p_outbuf, uint32_t *p_outsize);
hvrpc_iface_handle_t hvrpc_lookup(const char *endpoint);
hvrpc_iface_handle_t hvrpc_lookup_by_id(const char *endpoint,
                                        const char *p_interface_id);

#endif /* __HVRPC_INC */
