/*
 * Copyright (c) 1992-2015 NetApp, Inc.
 * All Rights Reserved.
 */

#ifndef __RPCSERVICE_INC__
#define __RPCSERVICE_INC__

#define HVRPC_FEATURE_NDR64 1

void rpcservice_init();
struct IpcTable *rpcservice_lookup(const char *svcname);
struct IpcTable *rpcservice_lookup_iface(const char *endpoint,
                                         const char *iface_id);

int rpcservice_invoke(struct IpcTable *table, char *inbuf, uint32_t inbuflen,
                      char **pOutbuf, uint32_t *pOutbuflen);
uint32_t rpcservice_features(void *params);

#endif /* __RPCSERVICE_INC__ */
